var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/drawer/index.tsx
var drawer_exports = {};
__export(drawer_exports, {
  default: () => drawer_default
});
module.exports = __toCommonJS(drawer_exports);
var import_antd = require("antd");
var import_hooks = require("../hooks");
var import_usePrefixCls = __toESM(require("../hooks/usePrefixCls"));
var Modal = (props) => {
  const prefixCls = (0, import_usePrefixCls.default)("drawer", props.prefixCls);
  const [visible, { close }, { trigger, content }, restProps] = (0, import_hooks.useModalEnhanced)(props);
  const handleModalCancel = (event) => {
    var _a;
    (_a = props.onClose) == null ? void 0 : _a.call(props, event);
    close();
  };
  return /* @__PURE__ */ React.createElement(React.Fragment, null, trigger, /* @__PURE__ */ React.createElement(import_antd.Drawer, { open: visible, ...restProps, onClose: handleModalCancel, prefixCls }, content));
};
var drawer_default = Modal;
